aboutsummaryrefslogtreecommitdiffstats
path: root/main/heimdal/heimdal-kdc.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-05-17 08:05:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-05-17 08:22:40 +0000
commitffae20632af61ef067c268e9666aec7827ae0686 (patch)
treebf51512a35c7066bb1c4458567aee304d27d2e13 /main/heimdal/heimdal-kdc.initd
parent0d2aba281db8405ddb8b978334ec9c1d841186a5 (diff)
downloadaports-ffae20632af61ef067c268e9666aec7827ae0686.tar.bz2
aports-ffae20632af61ef067c268e9666aec7827ae0686.tar.xz
main/heimdal: use shared krb5-conf package + misc cleanups
- let heimdal-libs depend on krb5-conf - rename init.d script in git repo to .initd and add them to $source (for consistency)
Diffstat (limited to 'main/heimdal/heimdal-kdc.initd')
-rwxr-xr-xmain/heimdal/heimdal-kdc.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/heimdal/heimdal-kdc.initd b/main/heimdal/heimdal-kdc.initd
new file mode 100755
index 0000000000..753a101c30
--- /dev/null
+++ b/main/heimdal/heimdal-kdc.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/heimdal/files/heimdal-kdc,v 1.2 2004/09/13 15:40:34 dragonheart Exp $
+
+depend() {
+ need net
+ after logger
+}
+
+start() {
+ ebegin "Starting heimdal kdc"
+ start-stop-daemon --start --quiet --exec \
+ /usr/sbin/kdc -- --detach
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping heimdal kdc"
+ start-stop-daemon --stop --quiet --exec \
+ /usr/sbin/kdc
+ eend $?
+}